MaintenanceEventManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.MaintenanceEventManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Class MaintenanceEventManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.events.server.session.MaintenanceEventManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean, MaintenanceEventManagerInterface

    public class MaintenanceEventManagerEJBImpl

extends java.lang.Object
implements MaintenanceEventManagerInterface, javax.ejb.SessionBean

The MaintenanceEventManager provides APIs to manage maintenance events.

See Also:
  Serialized Form

Constructor Summary
`MaintenanceEventManagerEJBImpl()`

Method Summary
`boolean` | `canSchedule(AuthzSubject subject, MaintenanceEvent event)` Perform group permission check
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`MaintenanceEvent` | `getMaintenanceEvent(AuthzSubject subject, java.lang.Integer groupId)` Get the maintenance event for the group
`static org.hyperic.hq.events.shared.MaintenanceEventManagerLocal` | `getOne()` Get local home object
`void` | `manageMonitors(AuthzSubject admin, MaintenanceEvent event)` Disable or enable monitors (alerts, measurements) for the group and its resources during the maintenance event.
`MaintenanceEvent` | `schedule(AuthzSubject subject, MaintenanceEvent event)` Schedule or reschedule a maintenance event
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`void` | `unschedule(AuthzSubject subject, MaintenanceEvent event)` Unschedule a maintenance event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaintenanceEventManagerEJBImpl

    public MaintenanceEventManagerEJBImpl()

Method Detail

### getMaintenanceEvent

    public MaintenanceEvent getMaintenanceEvent(AuthzSubject subject,
                                                java.lang.Integer groupId)
                                         throws PermissionException,
                                                org.quartz.SchedulerException

  Get the maintenance event for the group

  Specified by:
    `getMaintenanceEvent` in interface `MaintenanceEventManagerInterface`
  Throws:
    `PermissionException`
    `org.quartz.SchedulerException`

### unschedule

    public void unschedule(AuthzSubject subject,
                           MaintenanceEvent event)
                    throws PermissionException,
                           org.quartz.SchedulerException

  Unschedule a maintenance event

  Specified by:
    `unschedule` in interface `MaintenanceEventManagerInterface`
  Throws:
    `PermissionException`
    `org.quartz.SchedulerException`

### schedule

    public MaintenanceEvent schedule(AuthzSubject subject,
                                     MaintenanceEvent event)
                              throws PermissionException,
                                     org.quartz.SchedulerException

  Schedule or reschedule a maintenance event

  Specified by:
    `schedule` in interface `MaintenanceEventManagerInterface`
  Throws:
    `PermissionException`
    `org.quartz.SchedulerException`

### manageMonitors

    public void manageMonitors(AuthzSubject admin,
                               MaintenanceEvent event)
                        throws PermissionException

  Disable or enable monitors (alerts, measurements) for the group and its resources during the maintenance event.

  Specified by:
    `manageMonitors` in interface `MaintenanceEventManagerInterface`
  Throws:
    `PermissionException`

### canSchedule

    public boolean canSchedule(AuthzSubject subject,
                               MaintenanceEvent event)

  Perform group permission check

  Specified by:
    `canSchedule` in interface `MaintenanceEventManagerInterface`

### getOne

    public static org.hyperic.hq.events.shared.MaintenanceEventManagerLocal getOne()

  Get local home object

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.